/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.asgteach.bpmonitor.model;

import com.asgteach.bpmonitor.service.Service;
import java.time.LocalDate;
import java.time.LocalDateTime;
import javafx.collections.FXCollections;
import javafx.collections.ObservableList;
import javafx.collections.transformation.FilteredList;
import javafx.collections.transformation.SortedList;
import javax.inject.Inject;

/**
 *
 * @author gail
 */
public class BPAllData {
    

    public static BPData buildData(LocalDateTime date,
            Integer sis, Integer dia, Integer pulse) {
        BPData data = new BPData(date, sis, dia, pulse);
        return data;
    }
    
    
    

    public static final ObservableList<BPData> BPDATALIST = FXCollections.observableArrayList(
            
            buildData(LocalDateTime.of(
                    2015, 12, 30, 7, 2), 122, 84, 61),
            buildData(LocalDateTime.of(
                    2015, 12, 30, 18, 34), 143, 92, 65),
            buildData(LocalDateTime.of(
                    2015, 12, 31, 23, 42), 148, 84, 65),
            buildData(LocalDateTime.of(
                    2016, 1, 1, 7, 26), 125, 83, 61),
            buildData(LocalDateTime.of(
                    2016, 1, 1, 7, 2), 122, 84, 61),
            buildData(LocalDateTime.of(
                    2016, 2, 2, 7, 26), 125, 83, 61),
            buildData(LocalDateTime.of(
                    2016, 1, 17, 7, 2), 122, 84, 61),
            buildData(LocalDateTime.of(
                    2015, 9, 17, 7, 2), 122, 84, 61),
            buildData(LocalDateTime.of(
                    2015, 9, 13, 18, 34), 143, 92, 65),
            buildData(LocalDateTime.of(
                    2015, 9, 13, 23, 42), 148, 84, 65),
            buildData(LocalDateTime.of(
                    2015, 9, 14, 7, 26), 125, 83, 61),
            buildData(LocalDateTime.of(
                    2015, 9, 14, 23, 7), 138, 89, 58),
            buildData(LocalDateTime.of(
                    2015, 9, 15, 7, 8), 135, 87, 65),
            buildData(LocalDateTime.of(
                    2015, 9, 15, 23, 26), 128, 88, 60),
            buildData(LocalDateTime.of(
                    2015, 9, 16, 6, 51), 131, 83, 57),
            buildData(LocalDateTime.of(
                    2015, 9, 16, 22, 18), 121, 83, 60),
            buildData(LocalDateTime.of(
                    2015, 9, 17, 22, 54), 135, 85, 69),
            buildData(LocalDateTime.of(
                    2015, 9, 18, 7, 43), 112, 81, 68),
            buildData(LocalDateTime.of(
                    2015, 9, 19, 0, 26), 123, 76, 66),
            buildData(LocalDateTime.of(
                    2015, 9, 19, 7, 9), 119, 79, 60),
            buildData(LocalDateTime.of(
                    2015, 9, 19, 22, 48), 131, 86, 64),
            buildData(LocalDateTime.of(
                    2015, 9, 20, 7, 12), 119, 85, 70),
            buildData(LocalDateTime.of(
                    2015, 9, 21, 0, 11), 119, 78, 60),
            buildData(LocalDateTime.of(
                    2015, 9, 21, 7, 59), 120, 82, 69),
            buildData(LocalDateTime.of(
                    2015, 9, 21, 23, 56), 136, 88, 58),
            buildData(LocalDateTime.of(
                    2015, 9, 22, 7, 14), 121, 79, 61),
            buildData(LocalDateTime.of(
                    2015, 9, 22, 22, 53), 129, 83, 61),
            buildData(LocalDateTime.of(
                    2015, 9, 23, 7, 04), 120, 85, 71),
            buildData(LocalDateTime.of(
                    2015, 9, 23, 23, 18), 133, 81, 56),
            buildData(LocalDateTime.of(
                    2015, 9, 24, 7, 50), 132, 78, 65),
            buildData(LocalDateTime.of(
                    2015, 9, 24, 23, 12), 115, 79, 64),
            buildData(LocalDateTime.of(
                    2015, 9, 25, 6, 52), 118, 79, 59),
            buildData(LocalDateTime.of(
                    2015, 9, 25, 22, 19), 128, 85, 69),
            buildData(LocalDateTime.of(
                    2015, 9, 26, 7, 50), 113, 78, 65),
            buildData(LocalDateTime.of(
                    2015, 9, 26, 22, 50), 119, 80, 60),
            buildData(LocalDateTime.of(
                    2015, 9, 27, 6, 57), 112, 81, 59),
            buildData(LocalDateTime.of(
                    2015, 9, 27, 23, 34), 139, 91, 57),
            buildData(LocalDateTime.of(
                    2015, 9, 28, 7, 27), 116, 79, 63),
            buildData(LocalDateTime.of(
                    2015, 9, 28, 23, 12), 137, 86, 60),
            buildData(LocalDateTime.of(
                    2015, 9, 29, 6, 53), 118, 81, 59),
            buildData(LocalDateTime.of(
                    2015, 9, 29, 22, 47), 125, 82, 58),
            buildData(LocalDateTime.of(
                    2015, 9, 30, 7, 24), 104, 72, 61),
            buildData(LocalDateTime.of(
                    2015, 9, 30, 23, 15), 106, 74, 65),
            buildData(LocalDateTime.of(
                    2015, 10, 5, 7, 29), 119, 80, 58),
            buildData(LocalDateTime.of(
                    2015, 10, 5, 23, 26), 121, 77, 58),
            buildData(LocalDateTime.of(
                    2015, 10, 1, 7, 32), 112, 76, 58),
            buildData(LocalDateTime.of(
                    2015, 10, 1, 23, 04), 134, 80, 58),
            buildData(LocalDateTime.of(
                    2015, 10, 2, 6, 41), 111, 75, 54),
            buildData(LocalDateTime.of(
                    2015, 10, 3, 7, 17), 117, 76, 61),
            buildData(LocalDateTime.of(
                    2015, 10, 3, 22, 8), 127, 78, 58),
            buildData(LocalDateTime.of(
                    2015, 10, 4, 7, 18), 115, 75, 57)
    );
    
    // Define sortedBackingList based on source backingList and
    // sort criteria the date property.  Note that sortedBackingList
    // wraps backingList and lets you access the data sorted
    public static final SortedList<BPData> SORTEDBACKINGLIST
            = new SortedList<>(BPDATALIST, (data1, data2)
                    -> data1.getDate().compareTo(data2.getDate()));
    // Define filteredList to filter sortedBackingList for TableView control.
    // Initially the predicate is true and the list is essentially unfiltered.
    // When the startDate date picker control is set, the predicate will
    // be updated and the items selected
    public static final FilteredList<BPData> FILTEREDLIST = 
            new FilteredList<>(SORTEDBACKINGLIST, p -> true);
    

}
